/*
Theme Name: RV Transportes y Logistica
Template: kreatic
Author: Kreatico
Description: Theme RV.
Version: 1.0.0
*/
/* Main styles */

:root{
/*Basic*/ 
--font-family:"Montserrat", sans-serif;
--line-height:1.25;
--color-texto:#454545;
--font-weight:500;
--margin-body:auto;
--font-size-body:0.90rem;

/*Anchos*/
--size-general:100%;
--size-porcentaje:90%;
--size-general-content:1350px;

/*Colores*/
--color-principal:#FFC814;
--color-principal-hover:#FFF600;
--color-secundario:#515151;
--color-secundario-hover:#3f3d3d;
--color-texto-secundario:#454545;

}

/*Header*/
.site-header{
    width: 100%;
}
.home .site-header{
    position: absolute;
    z-index: 3;
}
.content-header{
    width: var(--size-general-content);
    margin: 1.2rem auto 1rem auto;
    display: flex;
    gap: 0.5rem;
    align-items: center;
    justify-content:space-around;
    border-radius: 20px;
}
/*Ancho Content*/
.nosotros > .wp-block-group__inner-container, .flota > .wp-block-group__inner-container, .servicios > .wp-block-group__inner-container, .experiencia > .wp-block-group__inner-container, .contacto > .wp-block-group__inner-container, .footer-content{
    width: var(--size-general-content)!important;
    margin: auto;
}
.home .container{
    width: var(--size-general)!important;
}

/*Main*/
.site-main{
    position:relative;
}
/*Footer*/
.site-footer{
    background-image: url(assets/img/tierra.png);
    background-position-y: bottom;

}
.site-footer .columnas{
    display: flex;
    flex-direction: row;
    gap:2rem
}
.site-footer .columnas > *{
    flex: 1;
    margin: 2rem 0;
}
.contacto-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.contacto-content > *{
    background: rgba(250, 250, 250, 0.75);
    border-radius: 20px;
    padding:0.8rem 1.5rem 0.8rem 3rem;
    margin-bottom: 15px;
    position: relative;
}
.datos-contacto{
    padding-left: 6rem;
}
.datos-contacto:before{
    font: var(--fa-font-solid);
    margin-left: 10px;
    font-size: 1.5em;
    vertical-align: middle;
    color: #fff;
    position: absolute;
    left: 15px;
    top: 30%;
    background: var(--color-secundario);
    border-radius: 50%;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.direccion:before{
    content: "\f276";
}
.escribenos:before {
    content: "\f674";
}
.contactanos:before{
    content: "\e5be";
}
footer .redes-sociales{
    display: flex;
    gap: 0.5rem;

}
.redes-sociales a{
    color: #fff;
    border-radius: 50%;
    background: var(--color-principal);
    height: 35px;
    width: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.footer-derechos{
    font-size: 0.8rem;
    line-height: 1.5;
    background: rgba(0, 0, 0, 0.75);
    border-radius: 20px 20px 0 0;
    padding: 1.5rem 0;
    color: #fff;
    text-align: center;
}
.developed{
    font-weight: 600;
}

/*Recursos Inicio*/
.ek-repeater-recursos{
    width: var(--size-general-content);
    margin: -4rem auto 0 auto;
    z-index: 2;
    position: relative;
    background:var(--color-secundario);
    border-radius: 25px;
    display: flex;
    overflow: hidden;
}
.ek-repeater-recursos .ek-repeater-row{
    padding: 2rem;
    text-align: center;
    border-right: 2px solid #fff;
    flex: 1;
}
.ek-repeater-recursos .ek-repeater-row:last-child{
    border-right: none;
}
.ek-repeater-recursos .ek-repeater-row:first-child{
    background: var(--color-principal);
}
.ek-repeater-recursos .ek-field-imagen img{
     filter: brightness(0) invert(1);
}
.ek-repeater-recursos .ek-repeater-row:first-child .ek-field-imagen img{
    filter: none;
}
.ek-repeater-recursos .ek-field-titulo{
    color: var(--color-principal);
    margin-bottom: 5px;
}
.ek-repeater-recursos .ek-repeater-row:first-child .ek-field-titulo{
    color:var(--color-texto);
}
.ek-repeater-recursos .ek-field-descripcion{
    color: #fff;
}
.ek-repeater-recursos .ek-repeater-row:hover {
    background: var(--color-principal);
}
.ek-repeater-recursos .ek-repeater-row:hover .ek-field-titulo {
    color:var(--color-texto);
}
.ek-repeater-recursos .ek-repeater-row:hover .ek-field-imagen img {
    filter: none;
}
/*Nosotros Inicio*/
.wp-block-group.nosotros{
    background:#F0F0F0;
}
.column-nosotros{
    gap: 7em;
}
.columna-one{
    gap: 2rem;
    display: flex;
    flex-direction: column;
    align-items: end;
}
.columna-two{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}
.wp-block-cover{
    border-radius: 20px;
    width: 80%;
}
.wp-block-cover img{
    transition: opacity 0.8s ease, transform 0.8s ease;
}
.wp-block-cover:hover img{
    transform: scale(1.2);filter: brightness(0.9);
}
.fondo-secundario{
    width: 35%;
}
.columna-two h2{
    color: var(--color-principal);
    font-size: 1.85rem;
}
/*Slide Flota*/
.sk-slider-container {
    min-height: auto!important;
}
.sk-slider-wrap {
    position: relative;
    width: 100%;
    overflow: hidden;
    margin-bottom: 0px!important;
    min-height: auto!important;
}
.flota .sk-slides-flow{
    height: 500px!important;
}
.flota .sk-card-inner {
    border:none!important;
    border-radius: 25px!important;
    position: relative;
}
.flota .sk-nav button {
    background: rgba(255, 200, 20, 0.5);
    border-radius: 5px;
}
.flota .sk-thumbnail{
    position: unset!important;
}
.flota .sk-thumbnail img {
    width: 100%;
    position: absolute;
    top: 0;
    object-fit: cover;
    z-index: 0;
    height: 100%!important;
    transition: opacity 0.8s ease, transform 0.8s ease;
}
.flota .sk-card-inner:hover .sk-thumbnail img{
    transform: scale(1.2);filter: brightness(0.9);
}
/*------------Elimina content------------*/
.sk-content{
    display: none;
}
.espec-tecnica{
    margin-top: -12rem;
    position: relative;
}
.espec-tecnica .wp-block-group__inner-container{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.logo-volvo{
    background: #000;
    border-radius: 10px;
    color: #fff;
    font-weight: 700;
    width: 260px;
    padding: 1rem;
}
.logo-volvo img{
    max-width: 68px;
}
.caracteristicas{
     background: rgba(0, 0, 0, 0.8);
     border-radius: 10px;
     color: #fff;
     padding: 0.5rem;
     width: 550px;
     position: relative;
}
.caracteristicas img{
    position: absolute;
    right: -30px;
}
.caracteristicas li{
    list-style: none;
}
.caracteristicas li:before{
    content: "\f00c";
    font: var(--fa-font-solid);
    margin-right: 7px;
    font-size: 1em;
    vertical-align: middle;
    color:var(--color-principal);
}
.placas .wp-block-group__inner-container{
    display: flex;
    flex-direction: row;
    gap: 1rem;
    justify-content: center;
}
.placas p{
    background: var(--color-principal);
    color: #fff;
    border-radius: 10px;
    padding: 0.75rem;
}
/*Servicios*/
.ek-repeater-servicios {
display: grid;
grid-template-columns: repeat(4, 1fr);
grid-template-rows: repeat(2, 1fr);
grid-column-gap: 1rem;
grid-row-gap: 1rem;

}
.ek-repeater-servicios .ek-repeater-row{
    position: relative;
    height: 350px;
    border-radius: 25px;
    overflow: hidden;
}
.ek-repeater-servicios .ek-field-imagen{}
.ek-repeater-servicios .ek-field-imagen img{
    width: 100%;
    position: absolute;
    top: 0;
    object-fit: cover;
    z-index: 0;
    height: 100%!important;
    transition: opacity 0.8s ease, transform 0.8s ease;
}
.ek-repeater-servicios h3.ek-field-titulo{
    position: absolute;
    bottom: 15%;
    left: 0%;
    background: var(--color-principal);
    color: #fff;
    padding: 1rem;
    border-radius: 0 10px 10px 0;
}
.ek-repeater-servicios .ek-repeater-row:hover .ek-field-imagen img{
    transform: scale(1.2);filter: brightness(0.9);
}
.ek-repeater-row[data-index="0"] { grid-area: 1 / 1 / 2 / 3; }
.ek-repeater-row[data-index="1"] { grid-area: 1 / 3 / 2 / 5; }
.ek-repeater-row[data-index="2"] { grid-area: 2 / 1 / 3 / 2; }
.ek-repeater-row[data-index="3"] { grid-area: 2 / 2 / 3 / 4; }
.ek-repeater-row[data-index="4"] { grid-area: 2 / 4 / 3 / 5; }
/*Experiencia*/
.experiencia .sk-card-inner {
    border: none!important;
    border-radius: 0px!important;
    overflow: auto!important;
}
.experiencia .sk-thumbnail {
    position: relative;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.experiencia .sk-thumbnail img {
    width: auto!important;
    height: auto!important;
    object-fit: none!important;
}
.experiencia .sk-nav button {
    background: rgba(255, 200, 20, 0.1);
    color: var(--color-principal)!important;
    font-size: 60px!important;
    padding: 0px 20px 10px 20px!important;
    line-height: 60px!important;
    border-radius: 5px!important;
}
/*Formulario*/
.wpcf7-form{
    width: fit-content;
    margin: auto;
    background: #fff;
    border-radius: 25px;
    padding: 2rem;
    box-shadow: 0 8px 32px 0 rgba(22, 22, 22, 0.2);
}
.campo input{
    background: #F5F5F5;
    height: 45px;
    width: 90%;
    font-size: 16px;
    font-family: inherit;
    border:none;
    padding-left: 2rem;
    border-radius: 10px;
    position: relative;
}
.campo select{
    border:1px solid #d9d9d9;
    font-family: inherit;
    border-radius: 10px;
    padding: 0.7rem 2rem;
}
.campo textarea{
    background: #F5F5F5;
    padding-left: 2rem;
    padding-top: 1.5rem;
    border-radius: 10px;
    border:none;
    font-family: inherit;
    font-size: 16px;
    width: 90%;
    position: relative;
}
.wpcf7-form-control::placeholder, .wpcf7-textarea::placeholder {
    color: #999;
    font-size: 0.8rem;
}
.wpcf7-form-control-wrap:before {
    color: #CACACA;
    font: var(--fa-font-regular);
    font-size: 1em;
    position: absolute;
    top: 4px;
    left: 10px;
    z-index: 1;
}
.aceptacion .wpcf7-list-item label{
    display: flex;
    gap: 1rem;
}
.mensaje .wpcf7-form-control-wrap:before{
    display: none;
}
.nombre .wpcf7-form-control-wrap:before{
    content: "\f007";
}
.email .wpcf7-form-control-wrap:before{
    content: "\40";
}
.telefono .wpcf7-form-control-wrap:before{
    content: "\f095";
}
.tipodeconsulta .wpcf7-form-control-wrap:before{
    content: "\e1de";
}
.tipodedocumento .wpcf7-form-control-wrap:before{
    content: "\f2bb";
}
.direccion .wpcf7-form-control-wrap:before{
    content: "\f276";
}

/*404*/
.mi-svg path:first-child {
    fill:var(--color-principal)!important;
}
.mi-svg path:last-child {
    fill: #FCB82E;
}
/* =========================
   RESPONSIVE BREAKPOINTS
   (customized)
   ========================= */

  /* 1350px - laptops slightly smaller than your content width */
@media (max-width: 1350px) {
  :root { --SizeGeneral: 1150px; }
}
/* 1024px - tablets landscape */
@media (max-width: 1024px) {
  :root { 
    /*Anchos*/
--size-general:100%;
--size-porcentaje:100%;
--size-general-content:100%;
}

}
/* 820px - mobile large */
@media (max-width: 820px) {

}
  /* 768px - tablet portrait / large phones */
@media (max-width: 768px) {

}
/* 576px - mobile large */
@media (max-width: 576px) {

}

/* === 480px - móviles pequeños === */
@media (max-width: 480px) {
/*menu Movil*/
#mk-mobile-nav-main_menu .current-menu-item a{background: var(--color-principal);color: #fff;}
#mk-mobile-nav-main_menu a{border-radius: 5px;font-weight: 600;padding: 12px 15px;border: 1px solid rgba(0, 0, 0, 0.1);}
.mk-mobile-list li {margin-bottom: 5px!important;}
.mk-field-logo img {max-width: 200px!important;}
.content-header {
    justify-content: space-between;
}
/*Header*/
.logo img{max-width: 150px;}
.whatsapp{display: none;}
.p-4r-y {
    padding-top: 2rem;
    padding-bottom: 2rem;
}
/*Ancho espacio*/
.ek-repeater-recursos,.wp-block-group.nosotros, .flota, .servicios, .experiencia , .site-footer {
    width: 95%;
    margin: auto;
}
.wpcf7-form {
    width: auto!important;
}
/*Slide*/
.sk-slide-content .sk-title {
    font-size: 2rem!important;
    line-height: 1!important;
}
/*Recursos*/
.ek-repeater-recursos {
    flex-direction: column;
    width: 95%;
}
/*Nosotros*/
.column-nosotros {
    gap: inherit;
}
.wp-block-cover {
    border-radius: 20px;
    width: 100%;
}
.fondo-secundario {
    width: 100%;
}
.columna-two {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}
/*Flota*/
.espec-tecnica {
    margin-top: 0rem;
}
.logo-volvo {
    gap: 0.5rem !important;
    text-align: center;
    width: auto;
}
.logo-volvo img {
    max-width: 150px;
}
.caracteristicas {
    width: auto;
}
.carro{
    text-align: center;
}
.caracteristicas img {
    position: relative;
    right: 0;
}
.placas .wp-block-group__inner-container {
    display: flex;
    flex-direction: row;
    gap: 0.5rem;
    justify-content: center;
    flex-wrap: wrap;
}
/*Servicios*/
.ek-repeater-servicios {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
}
.ek-repeater-servicios > article{
    grid-area: auto!important;
}
.ek-repeater-servicios .ek-repeater-row {
    height: 250px;
    border-radius:10px;
}
/*Footer*/
.site-footer .columnas {
    flex-direction: column;
}
.wpcf7-form {
    padding: 1rem 0;
}
.btn-block{
    text-align: center;
    display: block;
    margin: auto;
}
}